require 'negate'

class Fixnum
  def divisors
    divs = []
    
    self.abs.downto(1) do |i|
    	divs.push(i) if self % i == 0
    end
    
    return self == 0 ? nil : divs.concat(divs.map(&:negate)).sort.reverse
  end
end
